> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# matcher.subtitle.get

> Get the syncs for a song given its title, artist and duration.

export const PlanIndicator = ({children, plan = []}) => {
  const plans = {
    basic: {
      label: 'Basic',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=basic_button'
    },
    scale: {
      label: 'Grow',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=grow_button'
    },
    scaleNew: {
      label: 'Scale',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=scale_button'
    },
    enterprise: {
      label: 'Enterprise',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=enterprise_button'
    }
  };
  const icon = <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="#131313" viewBox="0 0 24 24">
      <path fillRule="evenodd" d="M13.804 3.773a.75.75 0 0 1 .911.543l1.012 4a.75.75 0 0 1-.003.382l-3.013 11a.75.75 0 0 1-1.448-.006l-2.908-11a.75.75 0 0 1-.007-.358l.909-4a.75.75 0 1 1 1.463.332l-.868 3.82 2.149 8.128 2.224-8.122-.964-3.808a.75.75 0 0 1 .543-.911Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M3.29 8.5a.75.75 0 0 1 .75-.75h16a.75.75 0 1 1 0 1.5h-16a.75.75 0 0 1-.75-.75Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M5.24 3.9a1 1 0 0 1 .8-.4h12a1 1 0 0 1 .8.4l3 4a1 1 0 0 1-.026 1.233l-9 11a1 1 0 0 1-1.548 0l-9-11A1 1 0 0 1 2.24 7.9l3-4Zm1.3 1.6L4.31 8.473l7.73 9.448 7.73-9.448L17.54 5.5h-11Z" clipRule="evenodd" />
    </svg>;
  const selectedPlans = Array.isArray(plan) ? plan : [plan];
  if (selectedPlans.length === 1 && selectedPlans[0] === 'basic') return null;
  const href = selectedPlans.length === 1 ? plans[selectedPlans[0]]?.url : 'https://www.musixmatch.com/pro/api/pricing';
  return <>
      <style>{`
        .plan-indicator-no-border {
          border: none !important;
          border-bottom: none !important;
          text-decoration: none !important;
          transition: background-color 0.2s ease;
        }
        .plan-indicator-no-border:hover {
          text-decoration: none !important;
          background-color: #E8E8E8 !important;
        }
      `}</style>
      <a href={href} title="See all Musixmatch API plans" target="_blank" className="plan-indicator-no-border inline-flex items-center gap-1 text-gray-800 px-2 py-1 rounded-lg" style={{
    backgroundColor: '#F4F4F4',
    fontSize: '14px',
    color: '#131313'
  }}>
        {icon}
        {selectedPlans.map((planKey, index) => <span key={planKey}>
            {plans[planKey]?.label}
            {index < selectedPlans.length - 1 && ', '}
          </span>)}
        {children} plan
      </a>
    </>;
};

<PlanIndicator plan={["scale"]} />

You can use the 'f\_subtitle\_length\_max\_deviation' to fetch syncs within the given duration range.

**Make sure to:**

* fulfill the [country restrictions](/content-restrictions) you receive for every copyrighted content;
* apply the [tracking method](/lyrics-views-tracking) of your choice.


## OpenAPI

````yaml get /ws/1.1/matcher.subtitle.get
openapi: 3.0.3
info:
  title: Lyrics API
  description: >-
    These endpoints return metadata about songs and lyrics.  

    For full details, see the [API
    reference](https://docs.musixmatch.com/lyrics-api/introduction) for these
    endpoints.


    To authenticate your API requests and use the endpoints, you need to include
    your API key as a **query parameter** (`apikey`) in every call, like this:


    `GET /ws/1.1/track.get?apikey=YOUR_API_KEY`.


    In Postman, enter your API Key in the **Auth** tab, where it will be
    automatically appended to the request. **Best Practice:** Use **Postman
    Vault** to securely store your key; see the official [Postman
    documentation](https://learning.postman.com/docs/sending-requests/postman-vault/postman-vault-secrets/)
    for details.


    Always keep your API key secure and never share it publicly. If you believe
    your API key has been compromised, contact us immediately at
    `sales@musixmatch.com`.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.musixmatch.com
security:
  - apiKey: []
tags:
  - name: Matcher
    description: >-
      Match an external piece of information (like a title and artist) to a
      track in the Musixmatch catalog to retrieve its track ID, lyrics, or
      syncs.
  - name: Track
    description: >-
      Search for specific songs, and retrieve detailed information about a
      single track, including its lyrics, snippets, translations, and rich sync
      data.
  - name: Artist
    description: >-
      Search for artists, and retrieve detailed information about a specific
      artist, including their discography (albums).
  - name: Album
    description: >-
      Retrieve detailed information about a specific music album, including the
      list of tracks it contains.
  - name: Charts
    description: >-
      Retrieve top-ranking tracks and artists, typically based on country, as
      well as lists of available music genres.
  - name: Enterprise
    description: >-
      **For more details on the Enterprise integration refer to the** [official
      documentation.](https://docs.musixmatch.com/enterprise-integration/introduction)
paths:
  /ws/1.1/matcher.subtitle.get:
    get:
      tags:
        - Matcher
      summary: matcher.subtitle.get
      description: Get the syncs for a song given its title, artist and duration.
      operationId: matcherSubtitleGet
      parameters:
        - name: q_track
          in: query
          schema:
            type: string
            example: Sexy and I know it
          description: The song title. Required if the track_isrc is not indicated.
          required: true
        - name: q_artist
          in: query
          schema:
            type: string
            example: LMFAO
          description: The song artist. Required if the track_isrc is not indicated.
          required: true
        - name: f_subtitle_length
          in: query
          schema:
            type: string
            example: '200'
          description: >-
            Filter by subtitle length in seconds. For it to function, must be
            used together with the 'f_subtitle_length_max_deviation' parameter.
        - name: f_subtitle_length_max_deviation
          in: query
          schema:
            type: string
            example: '3'
          description: Max deviation for a subtitle length in seconds.
        - name: track_isrc
          in: query
          schema:
            type: string
            example: USUM71108090
          description: >-
            (Optional parameter) If you have an available ISRC ID in your
            catalogue you can query using this ID only.
      responses:
        '200':
          description: 200 OK / 401 Unauthorized
          headers:
            Accept-Ranges:
              schema:
                type: string
                example: bytes
            Age:
              schema:
                type: string
                example: '0'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Content-Length:
              schema:
                type: string
                example: '100'
            Date:
              schema:
                type: string
                example: Thu, 13 Feb 2025 15:27:11 GMT
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Via:
              schema:
                type: string
                example: 1.1 varnish
            X-Cache:
              schema:
                type: string
                example: MISS
            X-Cache-Hits:
              schema:
                type: string
                example: '0'
            X-Served-By:
              schema:
                type: string
                example: cache-iad-kiad7000073-IAD
            X-Timer:
              schema:
                type: string
                example: S1739460431.047067,VS0,VE16
            x-mxm-cache:
              schema:
                type: string
                example: no-cache
            x-mxm-header-execute-time:
              schema:
                type: string
                example: '0.0026640892028809'
            x-mxm-header-status:
              schema:
                type: string
                example: '401'
            x-mxm-nginx-ingress-controller:
              schema:
                type: string
                example: nginx-cdt-apisite-api
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: object
                    properties:
                      body:
                        anyOf:
                          - type: object
                            properties:
                              subtitle:
                                type: object
                                properties:
                                  lyrics_copyright:
                                    type: string
                                    example: >-
                                      Writer(s): George Matthew Robertson,
                                      Stefan Kendal Gordy, Erin Beck, David
                                      Jamahl Listenbee, Kenny Oliver, Skyler
                                      Husten Gordy

                                      Copyright: Universal Music Corp., Chebra
                                      Music, Universal Tunes, The Vegan Ranch,
                                      Eskaywhy Publishing, Hi Mom I Did It

                                      Lyrics powered by www.musixmatch.com
                                  pixel_tracking_url:
                                    type: string
                                    example: >-
                                      https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_0/su_41629674/rs_0/...BBM00_i5JEjI4qO7ZF6qPlettxThcR9F0UVssyptUfdbEFyZWeLzTTuPmqRqPqvoM1OLeULbPE_pyohfNs/
                                  region_restriction:
                                    type: object
                                    properties:
                                      allowed:
                                        type: array
                                        items:
                                          type: string
                                          example: XW
                                        example:
                                          - XW
                                      blocked:
                                        type: array
                                        items: {}
                                        example: []
                                  script_tracking_url:
                                    type: string
                                    example: >-
                                      https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_0/su_41629674/rs_0/...RKWSnHN8tvXOcbxTbK0HVAvZHBSneRHxoCz6nzRTXoEOK13uvrh5BT1QSGnEjjjUqeUU0j35Ld9mckZ9rY/
                                  subtitle_body:
                                    type: string
                                    example: >-
                                      [00:12.54] Yeah, yeah

                                      [00:15.38] When I walk on by, girls be
                                      lookin' like, "Damn, he fly"

                                      [00:18.75] I pimp to the beat, walkin'
                                      down the street in my new LaFreak

                                      [00:22.10] Yeah, this is how I roll,
                                      animal print, pants outta control

                                      [00:25.99] It's Redfoo with the big afro,
                                      and like Bruce Leroy, I got the glow, yeah

                                      [00:29.64] (Ah) girl, look at that body,
                                      (ah) girl, look at that body

                                      [00:33.17] (Ah) girl, look at that body,
                                      (ah) I-I-I work out

                                      [00:36.81] (Ah) girl, look at that body,
                                      (ah) girl, look at that body

                                      [00:40.47] (Ah) girl, look at that body,
                                      (ah) I-I-I work out

                                      [00:43.79] When I walk in the spot (yeah)
                                      this is what I see (okay)

                                      [00:47.71] E'rybody stops and is starin'
                                      at me

                                      [00:50.88] I got passion in my pants and I
                                      ain't afraid to show it

                                      [00:54.90] Show it, show it, show it

                                      [00:57.66] I'm sexy and I know it

                                      [01:05.15] I'm sexy and I know it

                                      [01:13.56] Yeah, when I'm at the mall,
                                      security just can't fight 'em all

                                      [01:17.98] And when I'm at the beach, I'm
                                      in a speedo tryna tan my cheeks (what?)

                                      [01:21.87] This is how I roll, come on,
                                      ladies, it's time to go

                                      [01:25.15] We headed to the bar, baby,
                                      don't be nervous

                                      [01:26.57] No shoes, no shirt, and I still
                                      get service, watch

                                      [01:29.08] (Ah) girl, look at that body,
                                      (ah) girl, look at that body

                                      [01:32.29] (Ah) girl, look at that body,
                                      (ah) I-I-I work out

                                      [01:35.94] (Ah) girl, look at that body,
                                      (ah) girl, look at that body

                                      [01:39.53] (Ah) girl, look at that body,
                                      I-I-I work out

                                      [01:42.89] When I walk in the spot (yeah)
                                      this is what I see (okay)

                                      [01:46.77] E'rybody stops and is starin'
                                      at me

                                      [01:50.02] I got passion in my pants and I
                                      ain't afraid to show it

                                      [01:54.18] Show it, show it, show it

                                      [01:56.82] I'm sexy and I know it (ay)

                                      [02:04.27] I'm sexy and I know it

                                      [02:08.00] Check it out, check it out

                                      [02:12.88] Wiggle, wiggle, wiggle, wiggle,
                                      wiggle, yeah

                                      [02:14.73] Wiggle, wiggle, wiggle, wiggle,
                                      wiggle, yeah

                                      [02:16.56] Wiggle, wiggle, wiggle, wiggle,
                                      wiggle, yeah

                                      [02:18.47] Wiggle, wiggle, wiggle, wig-,
                                      yeah-yeah

                                      [02:20.82] Do the wiggle, man, I do the
                                      wiggle, man

                                      [02:24.89] Yeah, I'm sexy and I know it,
                                      ay, yeah

                                      [02:43.13] (Ah) girl, look at that body,
                                      (ah) girl, look at that body

                                      [02:46.23] (Ah) girl, look at that body,
                                      (ah) I-I-I work out

                                      [02:49.87] (Ah) girl, look at that body,
                                      (ah) girl, look at that body

                                      [02:53.53] (Ah) girl, look at that body,
                                      (ah) I-I-I work out

                                      [03:10.84] I'm sexy and I know it

                                      [03:12.24] 
                                  subtitle_id:
                                    type: number
                                    example: 41629674
                                  subtitle_language:
                                    type: string
                                    example: en
                                  subtitle_language_description:
                                    type: string
                                    example: English
                                  subtitle_length:
                                    type: number
                                    example: 199
                                  updated_time:
                                    type: string
                                    example: '2024-10-31T09:50:18Z'
                          - type: array
                            items: {}
                            example: []
                      header:
                        type: object
                        properties:
                          execute_time:
                            type: number
                            example: 0.016800880432129
                          status_code:
                            type: number
                            example: 200
              examples:
                200 OK:
                  value:
                    message:
                      body:
                        subtitle:
                          lyrics_copyright: >-
                            Writer(s): George Matthew Robertson, Stefan Kendal
                            Gordy, Erin Beck, David Jamahl Listenbee, Kenny
                            Oliver, Skyler Husten Gordy

                            Copyright: Universal Music Corp., Chebra Music,
                            Universal Tunes, The Vegan Ranch, Eskaywhy
                            Publishing, Hi Mom I Did It

                            Lyrics powered by www.musixmatch.com
                          pixel_tracking_url: >-
                            https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_0/l_0/su_41629674/rs_0/...BBM00_i5JEjI4qO7ZF6qPlettxThcR9F0UVssyptUfdbEFyZWeLzTTuPmqRqPqvoM1OLeULbPE_pyohfNs/
                          region_restriction:
                            allowed:
                              - XW
                            blocked: []
                          script_tracking_url: >-
                            https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_0/l_0/su_41629674/rs_0/...RKWSnHN8tvXOcbxTbK0HVAvZHBSneRHxoCz6nzRTXoEOK13uvrh5BT1QSGnEjjjUqeUU0j35Ld9mckZ9rY/
                          subtitle_body: >-
                            [00:12.54] Yeah, yeah

                            [00:15.38] When I walk on by, girls be lookin' like,
                            "Damn, he fly"

                            [00:18.75] I pimp to the beat, walkin' down the
                            street in my new LaFreak

                            [00:22.10] Yeah, this is how I roll, animal print,
                            pants outta control

                            [00:25.99] It's Redfoo with the big afro, and like
                            Bruce Leroy, I got the glow, yeah

                            [00:29.64] (Ah) girl, look at that body, (ah) girl,
                            look at that body

                            [00:33.17] (Ah) girl, look at that body, (ah) I-I-I
                            work out

                            [00:36.81] (Ah) girl, look at that body, (ah) girl,
                            look at that body

                            [00:40.47] (Ah) girl, look at that body, (ah) I-I-I
                            work out

                            [00:43.79] When I walk in the spot (yeah) this is
                            what I see (okay)

                            [00:47.71] E'rybody stops and is starin' at me

                            [00:50.88] I got passion in my pants and I ain't
                            afraid to show it

                            [00:54.90] Show it, show it, show it

                            [00:57.66] I'm sexy and I know it

                            [01:05.15] I'm sexy and I know it

                            [01:13.56] Yeah, when I'm at the mall, security just
                            can't fight 'em all

                            [01:17.98] And when I'm at the beach, I'm in a
                            speedo tryna tan my cheeks (what?)

                            [01:21.87] This is how I roll, come on, ladies, it's
                            time to go

                            [01:25.15] We headed to the bar, baby, don't be
                            nervous

                            [01:26.57] No shoes, no shirt, and I still get
                            service, watch

                            [01:29.08] (Ah) girl, look at that body, (ah) girl,
                            look at that body

                            [01:32.29] (Ah) girl, look at that body, (ah) I-I-I
                            work out

                            [01:35.94] (Ah) girl, look at that body, (ah) girl,
                            look at that body

                            [01:39.53] (Ah) girl, look at that body, I-I-I work
                            out

                            [01:42.89] When I walk in the spot (yeah) this is
                            what I see (okay)

                            [01:46.77] E'rybody stops and is starin' at me

                            [01:50.02] I got passion in my pants and I ain't
                            afraid to show it

                            [01:54.18] Show it, show it, show it

                            [01:56.82] I'm sexy and I know it (ay)

                            [02:04.27] I'm sexy and I know it

                            [02:08.00] Check it out, check it out

                            [02:12.88] Wiggle, wiggle, wiggle, wiggle, wiggle,
                            yeah

                            [02:14.73] Wiggle, wiggle, wiggle, wiggle, wiggle,
                            yeah

                            [02:16.56] Wiggle, wiggle, wiggle, wiggle, wiggle,
                            yeah

                            [02:18.47] Wiggle, wiggle, wiggle, wig-, yeah-yeah

                            [02:20.82] Do the wiggle, man, I do the wiggle, man

                            [02:24.89] Yeah, I'm sexy and I know it, ay, yeah

                            [02:43.13] (Ah) girl, look at that body, (ah) girl,
                            look at that body

                            [02:46.23] (Ah) girl, look at that body, (ah) I-I-I
                            work out

                            [02:49.87] (Ah) girl, look at that body, (ah) girl,
                            look at that body

                            [02:53.53] (Ah) girl, look at that body, (ah) I-I-I
                            work out

                            [03:10.84] I'm sexy and I know it

                            [03:12.24] 
                          subtitle_id: 41629674
                          subtitle_language: en
                          subtitle_language_description: English
                          subtitle_length: 199
                          updated_time: '2024-10-31T09:50:18Z'
                      header:
                        execute_time: 0.016800880432129
                        status_code: 200
                401 Unauthorized:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.0026640892028809
                        status_code: 401
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: apikey
      in: query

````